#ADOBE SYSTEMS INCORPORATED
#Copyright [1999] - [2001] Adobe Systems Incorporated
#All Rights Reserved

#NOTICE:  Adobe permits you to use, modify, and distribute 
#this file in accordance with the terms of the Adobe license 
#agreement accompanying it.  If you have received this file 
#from a source other than Adobe, then your use, modification, 
#or distribution of it requires the prior written permission of Adobe.

use Acrobat::FDF;

binmode STDIN; # FDFs contain binary data. On Windows, this statement is important, not so on Unix.
read STDIN, $buf, $ENV{'CONTENT_LENGTH'};
$inFdf = Acrobat::FDF::newFromBuf($buf);

$name = $inFdf->GetValue("Name");
$address = $inFdf->GetValue("Address");
$comboBox = $inFdf->GetValue("ListBox");

$| = 1; # autoflush, so that the HTTP header is emitted immediately
print "Content-type: text/plain\n\n";

printf("Customer Name is: %s\n", $name);
printf("Customer Address is: %s\n", $address);
printf("ComboBox Export Value is: %s\n", $comboBox);